# Transfer

The Transfer stream provides updates about newly created native token transfer transfers, which could come not only from the native transfer deploys but from other contract call deploys

```
GET /transfers
```

## Optional properties

None

## Query params

| Property       | Type     | Description                                                             |
| -------------- | -------- | ----------------------------------------------------------------------- |
| `account_hash` | `string` | Comma-separated list of account hashes that sent or received a transfer |
| `public_key`   | `string` | Comma-separated list of public keys that sent or received a transfer    |

## Events

| Event     | Description                             |
| --------- | --------------------------------------- |
| `created` | Notifies about a newly created transfer |

## Response

[`WebSocketMessage`](/1.3.x/streaming-api/reference.md#format)[`<Transfer>`](/1.3.x/rest-api/transfer.md#properties)

## Example

```bash
wscat -c 'wss://streaming.testnet.cspr.cloud/transfers?account_hash=762a3cc23b3b46b42bce1b503ff6b45e9c8762ffb0292a09600c5adcb9bff578' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "id": null,
    "deploy_hash": "376d4e13aadcf9462d58aabd02539ca1323eabc6bb8900cf91e35b40ea3559d1",
    "transform_key": "3db27cb7ae76cefaf6e0761db5bd6f6623a7f329402f84c528e3fc09638b9fae",
    "initiator_account_hash": "762a3cc23b3b46b42bce1b503ff6b45e9c8762ffb0292a09600c5adcb9bff578",
    "from_purse": "uref-abf2db04b86ce06ae035fd297cc608fc2cd97a62caebafd9a2c565f7ea994734-007",
    "to_purse": "uref-79349d23eb45b3983527c6ff19c7c589b020c83b45aa132b88ea3830df9ee823-004",
    "to_account_hash": "4d788e5188099ffd542a799681faad546c9d5dc439f5aad7a3996de5deebcac6",
    "amount": "28771000000000",
    "timestamp": "2022-11-30T21:36:13.939Z"
  },
  "action": "created",
  "extra": null,
  "timestamp": "2024-02-26T17:49:29.945393904Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.3.x/streaming-api/transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
